Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 369361 - bootchart failures with readonly-root mode
Summary: bootchart failures with readonly-root mode
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: bootchart
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: K12LTSP
TreeView+ depends on / blocked
 
Reported: 2007-11-07 03:46 UTC by Warren Togami
Modified: 2008-04-17 15:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-04-17 15:34:10 UTC


Attachments (Terms of Use)

Description Warren Togami 2007-11-07 03:46:02 UTC
bootchart-0.9-5.fc8

By default bootchartd mounts its tmpfs in /tmp, which is mounted over by
readonly-root mode.  Even if you edit /sbin/bootchartd to use /dev instead, it
fails to stop collection when configured to stop if it sees a process like "Xorg".  

Furthermore, "/sbin/bootchartd stop" fails due to some kind of race condition.

bash-32# /sbin/bootchartd stop
user defined signal 1
bash-32# tar: header: file changed as we read it
rm: cannot remove '/dev/bootchart.wgA342/*': No such file or directory
rmdir: /dev/bootchart.wgA342: No such file or directory
tar: proc_ps.log: file changed as we read it
tar: proc_stat.log: Cannot stat: No such file or directory
tar: Error exit delayed from previous errors
rm: cannot remove '/dev/bootchart.wgA342/*': No such file or directory
rmdir: /dev/bootchart.wgA342: No such file or directory

Comment 1 Bug Zapper 2008-04-04 14:27:01 UTC
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 2 Warren Togami 2008-04-17 15:34:10 UTC
This is fixed in F9.


Note You need to log in before you can comment on or make changes to this bug.